create_bitmap(3)

NAME
create_bitmap - Creates a memory bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *create_bitmap(int width, int height);

DESCRIPTION
Creates a memory bitmap sized width by height. The bitmap will have clipping turned on, and the clipping rectangle set to the full size of the bitmap. The image memory will not be cleared, so it will probably contain garbage: you should clear the bitmap before using it. This routine always uses the global pixel format, as specified by calling set_color_depth(). The minimum height of the BITMAP must be 1 and width can't be negative. Example:
   /* Create a 10 pixel tall bitmap, as wide as the screen. */
   BITMAP *bmp = create_bitmap(SCREEN_W, 10);
   if (!bmp)
      abort_on_error("Couldn't create bitmap!");
   /* Use the bitmap. */
   ...
   /* Destroy it when we don't need it any more. */
   destroy_bitmap(bmp);

RETURN VALUE
Returns a pointer to the created bitmap, or NULL if the bitmap could not be created. Remember to free this bitmap later to avoid memory leaks.

SEE ALSO
create_bitmap_ex(3), create_sub_bitmap(3), create_video_bitmap(3), create_system_bitmap(3), destroy_bitmap(3), set_color_depth(3), is_memory_bitmap(3), clear_bitmap(3), clear_to_color(3)